Package voltage.core

# Class VoltageLED

java.lang.Object
voltage.core.VoltageComponent
voltage.core.VoltageLED

public class VoltageLED extends VoltageComponent
A simple LED

- ## Field Summary

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltageLED(String name, String displayName, VoltageModule module)`
  Constructor for a LED
  `VoltageLED(String name, VoltageModule module)`
  Constructor for a LED

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `SetBlinkEvery(int blinkIntervalMils, int blinkOnMils)`
  Causes the LED to blink at a specified interval.
  `void`
  `SetMomentaryBlink(int milsToBlink)`
  Sets the LED to blink once.
  `void`
  `SetStopBlinking()`
  Stops a blinking LED

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetValue, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltageLED

    public VoltageLED(String name, String displayName, VoltageModule module)
    Constructor for a LED
    Parameters:
      `name` - the control's name
      `displayName` - the name the user sees
      `module` - the owner of this control To create a custom dim/brightness level, you can set the value from 0 to 1.0.

  - ### VoltageLED

    public VoltageLED(String name, VoltageModule module)
    Constructor for a LED
    Parameters:
      `name` - the control's name
      `module` - the owner of this control

- ## Method Details

  - ### SetMomentaryBlink

    public void SetMomentaryBlink(int milsToBlink)
    Sets the LED to blink once.
    Parameters:
      `milsToBlink` - the milliseconds to stay on.

  - ### SetBlinkEvery

    public void SetBlinkEvery(int blinkIntervalMils, int blinkOnMils)
    Causes the LED to blink at a specified interval.
    Parameters:
      `blinkIntervalMils` - the blink cycle in milliseconds.
      `blinkOnMils` - the amount of time that the LED stays on within the interval. (This should be less than blinkIntervalMils)

  - ### SetStopBlinking

    public void SetStopBlinking()
    Stops a blinking LED